Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.thrift
Class Cassandra.get_range_slices_result

    java.lang.Object
      org.apache.cassandra.thrift.Cassandra.get_range_slices_result

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<Cassandra.get_range_slices_result>, org.apache.thrift.TBase<Cassandra.get_range_slices_result._Fields>

Enclosing class:
  Cassandra

    public static class Cassandra.get_range_slices_result

extends java.lang.Object
implements org.apache.thrift.TBase<Cassandra.get_range_slices_result._Fields>, java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<Cassandra.get_range_slices_result>

See Also:
  Serialized Form

Nested Class Summary
`static class` | `Cassandra.get_range_slices_result._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

Field Summary
`InvalidRequestException` | `ire`
`static java.util.Map<Cassandra.get_range_slices_result._Fields,org.apache.thrift.meta_data.FieldMetaData>` | `metaDataMap`
`java.util.List<KeySlice>` | `success`
`TimedOutException` | `te`
`UnavailableException` | `ue`

Constructor Summary
`Cassandra.get_range_slices_result()`
`Cassandra.get_range_slices_result(Cassandra.get_range_slices_result other)` Performs a deep copy on other.
`Cassandra.get_range_slices_result(java.util.List<KeySlice> success, InvalidRequestException ire, UnavailableException ue, TimedOutException te)`

Method Summary
`void` | `addToSuccess(KeySlice elem)`
`Cassandra.get_range_slices_result` | `clone()` Deprecated.
`int` | `compareTo(Cassandra.get_range_slices_result other)`
`Cassandra.get_range_slices_result` | `deepCopy()`
`boolean` | `equals(Cassandra.get_range_slices_result that)`
`boolean` | `equals(java.lang.Object that)`
`java.lang.Object` | `getFieldValue(Cassandra.get_range_slices_result._Fields field)`
`java.lang.Object` | `getFieldValue(int fieldId)`
`InvalidRequestException` | `getIre()`
`java.util.List<KeySlice>` | `getSuccess()`
`java.util.Iterator<KeySlice>` | `getSuccessIterator()`
`int` | `getSuccessSize()`
`TimedOutException` | `getTe()`
`UnavailableException` | `getUe()`
`int` | `hashCode()`
`boolean` | `isSet(Cassandra.get_range_slices_result._Fields field)` Returns true if field corresponding to fieldID is set (has been asigned a value) and false otherwise
`boolean` | `isSet(int fieldID)`
`boolean` | `isSetIre()` Returns true if field ire is set (has been asigned a value) and false otherwise
`boolean` | `isSetSuccess()` Returns true if field success is set (has been asigned a value) and false otherwise
`boolean` | `isSetTe()` Returns true if field te is set (has been asigned a value) and false otherwise
`boolean` | `isSetUe()` Returns true if field ue is set (has been asigned a value) and false otherwise
`void` | `read(org.apache.thrift.protocol.TProtocol iprot)`
`void` | `setFieldValue(Cassandra.get_range_slices_result._Fields field, java.lang.Object value)`
`void` | `setFieldValue(int fieldID, java.lang.Object value)`
`Cassandra.get_range_slices_result` | `setIre(InvalidRequestException ire)`
`void` | `setIreIsSet(boolean value)`
`Cassandra.get_range_slices_result` | `setSuccess(java.util.List<KeySlice> success)`
`void` | `setSuccessIsSet(boolean value)`
`Cassandra.get_range_slices_result` | `setTe(TimedOutException te)`
`void` | `setTeIsSet(boolean value)`
`Cassandra.get_range_slices_result` | `setUe(UnavailableException ue)`
`void` | `setUeIsSet(boolean value)`
`java.lang.String` | `toString()`
`void` | `unsetIre()`
`void` | `unsetSuccess()`
`void` | `unsetTe()`
`void` | `unsetUe()`
`void` | `validate()`
`void` | `write(org.apache.thrift.protocol.TProtocol oprot)`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### success

    public java.util.List<KeySlice> success

### ire

    public InvalidRequestException ire

### ue

    public UnavailableException ue

### te

    public TimedOutException te

### metaDataMap

    public static final java.util.Map<Cassandra.get_range_slices_result._Fields,org.apache.thrift.meta_data.FieldMetaData> metaDataMap

Constructor Detail

### Cassandra.get_range_slices_result

    public Cassandra.get_range_slices_result()

### Cassandra.get_range_slices_result

    public Cassandra.get_range_slices_result(java.util.List<KeySlice> success,
                                             InvalidRequestException ire,
                                             UnavailableException ue,
                                             TimedOutException te)

### Cassandra.get_range_slices_result

    public Cassandra.get_range_slices_result(Cassandra.get_range_slices_result other)

  Performs a deep copy on other.

Method Detail

### deepCopy

    public Cassandra.get_range_slices_result deepCopy()

  Specified by:
    `deepCopy` in interface `org.apache.thrift.TBase<Cassandra.get_range_slices_result._Fields>`

### clone

    @Deprecated
    public Cassandra.get_range_slices_result clone()

  Deprecated.

  Overrides:
    `clone` in class `java.lang.Object`

### getSuccessSize

    public int getSuccessSize()

### getSuccessIterator

    public java.util.Iterator<KeySlice> getSuccessIterator()

### addToSuccess

    public void addToSuccess(KeySlice elem)

### getSuccess

    public java.util.List<KeySlice> getSuccess()

### setSuccess

    public Cassandra.get_range_slices_result setSuccess(java.util.List<KeySlice> success)

### unsetSuccess

    public void unsetSuccess()

### isSetSuccess

    public boolean isSetSuccess()

  Returns true if field success is set (has been asigned a value) and false otherwise

### setSuccessIsSet

    public void setSuccessIsSet(boolean value)

### getIre

    public InvalidRequestException getIre()

### setIre

    public Cassandra.get_range_slices_result setIre(InvalidRequestException ire)

### unsetIre

    public void unsetIre()

### isSetIre

    public boolean isSetIre()

  Returns true if field ire is set (has been asigned a value) and false otherwise

### setIreIsSet

    public void setIreIsSet(boolean value)

### getUe

    public UnavailableException getUe()

### setUe

    public Cassandra.get_range_slices_result setUe(UnavailableException ue)

### unsetUe

    public void unsetUe()

### isSetUe

    public boolean isSetUe()

  Returns true if field ue is set (has been asigned a value) and false otherwise

### setUeIsSet

    public void setUeIsSet(boolean value)

### getTe

    public TimedOutException getTe()

### setTe

    public Cassandra.get_range_slices_result setTe(TimedOutException te)

### unsetTe

    public void unsetTe()

### isSetTe

    public boolean isSetTe()

  Returns true if field te is set (has been asigned a value) and false otherwise

### setTeIsSet

    public void setTeIsSet(boolean value)

### setFieldValue

    public void setFieldValue(Cassandra.get_range_slices_result._Fields field,
                              java.lang.Object value)

  Specified by:
    `setFieldValue` in interface `org.apache.thrift.TBase<Cassandra.get_range_slices_result._Fields>`

### setFieldValue

    public void setFieldValue(int fieldID,
                              java.lang.Object value)

  Specified by:
    `setFieldValue` in interface `org.apache.thrift.TBase<Cassandra.get_range_slices_result._Fields>`

### getFieldValue

    public java.lang.Object getFieldValue(Cassandra.get_range_slices_result._Fields field)

  Specified by:
    `getFieldValue` in interface `org.apache.thrift.TBase<Cassandra.get_range_slices_result._Fields>`

### getFieldValue

    public java.lang.Object getFieldValue(int fieldId)

  Specified by:
    `getFieldValue` in interface `org.apache.thrift.TBase<Cassandra.get_range_slices_result._Fields>`

### isSet

    public boolean isSet(Cassandra.get_range_slices_result._Fields field)

  Returns true if field corresponding to fieldID is set (has been asigned a value) and false otherwise

  Specified by:
    `isSet` in interface `org.apache.thrift.TBase<Cassandra.get_range_slices_result._Fields>`

### isSet

    public boolean isSet(int fieldID)

  Specified by:
    `isSet` in interface `org.apache.thrift.TBase<Cassandra.get_range_slices_result._Fields>`

### equals

    public boolean equals(java.lang.Object that)

  Overrides:
    `equals` in class `java.lang.Object`

### equals

    public boolean equals(Cassandra.get_range_slices_result that)

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### compareTo

    public int compareTo(Cassandra.get_range_slices_result other)

  Specified by:
    `compareTo` in interface `java.lang.Comparable<Cassandra.get_range_slices_result>`

### read

    public void read(org.apache.thrift.protocol.TProtocol iprot)
              throws org.apache.thrift.TException

  Specified by:
    `read` in interface `org.apache.thrift.TBase<Cassandra.get_range_slices_result._Fields>`
  Throws:
    `org.apache.thrift.TException`

### write

    public void write(org.apache.thrift.protocol.TProtocol oprot)
               throws org.apache.thrift.TException

  Specified by:
    `write` in interface `org.apache.thrift.TBase<Cassandra.get_range_slices_result._Fields>`
  Throws:
    `org.apache.thrift.TException`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### validate

    public void validate()
                  throws org.apache.thrift.TException

  Throws:
    `org.apache.thrift.TException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 The Apache Software Foundation